package coffeetronix;

/** A window with the Error-Handler interface.*/
public class LogWindow extends ConsoleWindow implements ErrorSystem.ErrorHandler
{
	public LogWindow(String title)
	{
		super(title);
		setSize(700,150);
		doLayout();
		show();
		ErrorSystem.setErrorHandler(this);
	}

	public void error(String s)
	{
		toFront();
		show();
		ta.append("error:" +  s + "\n");

	}

	public void info(String s)
	{
		ta.append("info:" +  s + "\n");
	}

	public void warning(String s)
	{
		ta.append("warning:" +  s + "\n");
	}

	public void fatalerror(String s)
	{
		toFront();
		show();
		ta.append("fatal error:" +  s + "\n");
	}
}

