package coffeetronix.diagram;

import java.awt.Point;


/** 
 * holds geometric information to build and sort linkconnection information
 * 
 * @author Rene Stoeckel (rene.stoeckel-at-web.de)
 */
public class LinkInfo
{
	public LinkInfo(Shape n)
	{
		shape= n;
	}

	//public int key= 0;

	/** this codes the side of the intersected box */
	public int side= 0;
	public static final int SIDE_EAST= 0;
	public static final int SIDE_SOUTH= 1;
	public static final int SIDE_WEST= 2;
	public static final int SIDE_NORTH= 3;
	
	/** 
	 * this is the x or y intersection coordinate with a side
	 * of the rectangle 
	 */
	public Point connector= new Point();
	public Shape shape;
}
