package coffeetronix;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Font;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/** Simply a Frame with an TextArea */
public class ConsoleWindow extends JFrame
{
	public JTextArea ta = new JTextArea("");

	public ConsoleWindow(String title)
	{

		super(title);

		addWindowListener(
			new WindowAdapter() {
				public void windowClosing(WindowEvent event)
				{
					dispose();
				}
				public void windowDeactivated(WindowEvent e)
				{
					dispose();
				}
			}
		);

		Container container;

		ta.setTabSize(4);
		ta.setFont(new Font("Courier", Font.PLAIN, 12));
		setSize(400,500);
		container = this.getContentPane();
		container.setLayout(new BorderLayout());
		JScrollPane sp = new JScrollPane(ta);
		container.add(sp, BorderLayout.CENTER);
		pack();
	}

	public JTextArea getTextArea()
	{
		return ta;
	}
}

